Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::replace_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename T1 , typename T2 , typename P = identity>
auto | operator() (I begin, S end, T1 const &old_value, T2 const &new_value, P proj={}) const -> I requires input_iterator< I > &&sentinel_for< S, I > &&writable< I, T2 const & > &&indirect_relation< equal_to, projected< I, P >, T1 const * >
template<typename Rng , typename T1 , typename T2 , typename P = identity>
auto | operator() (Rng &&rng, T1 const &old_value, T2 const &new_value, P proj={}) const -> safe_iterator_t< Rng > requires input_range< Rng > &&writable< iterator_t< Rng >, T2 const & > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, T1 const * >